{
        name: "Snowball",
        spritenum: 606,
        fling: {
            basePower: 30,
        },
        onDamagingHit(damage, target, source, move) {
            if (move.type === 'Ice') {
                this.boost({atk: 1}, target, target);
            }
            if (move.type === 'Fire') {
                target.useItem();
            }
        },
        num: 649,
        gen: 6,
    }
